API Specification for Importing Rouble Payments in Accordance with the ISO 20022 International Standard.
OpenAPI 0.3.0
## Описание API Это API предназначено для загрузки и проверки пакетов платежей в формате **ISO 20022**, используемом в системе РПП (Рублёвые платежные поручения) Райффайзенбанка.
Варианты
- Public
Операции API
GET /v1/reports/pdf/iso20022/messages/{msgId}/payments/{pmtInfId} — Download the print form of a domestic payment imported in ISO20022 format
Получение печатной формы одного оперативного платежного поручения в формате PDF. Поддерживаются платежи, импортированные из подписанных и неподписанных ISO20022 сообщений. В `msgId` передается значение `GrpHdr/MsgId`, а в `pmtInfId` — значение `PmtInf/PmtInfId` исходного XML-документа. Для получения печатной формы требуются bearer-токен, Id-Token, право экспорта платежей и доступ к организации и счёту списания. При превышении допустимой частоты запросов возвращается `429`. Повторить запрос можно через количество секунд, указанное в заголовке `Retry-After`.
{
"description": "Получение печатной формы одного оперативного платежного поручения в формате PDF.\nПоддерживаются платежи, импортированные из подписанных и неподписанных ISO20022 сообщений.\nВ `msgId` передается значение `GrpHdr/MsgId`, а в `pmtInfId` — значение `PmtInf/PmtInfId` исходного XML-документа.\nДля получения печатной формы требуются bearer-токен, Id-Token, право экспорта платежей и доступ к организации и счёту списания.\nПри превышении допустимой частоты запросов возвращается `429`. Повторить запрос можно через количество секунд, указанное в заголовке `Retry-After`.\n",
"operationId": "domesticPaymentPrintForm",
"parameters": [
{
"description": "Original ISO20022 message identifier — GrpHdr/MsgId",
"example": "ORCRUWIRE0170202229000030",
"in": "path",
"name": "msgId",
"required": true,
"schema": {
"maxLength": 35,
"minLength": 1,
"pattern": "^[A-Za-z0-9_]+$",
"type": "string"
}
},
{
"description": "Payment identifier within the original ISO20022 message — PmtInf/PmtInfId",
"example": "ORCRUWIRE0040203219700010",
"in": "path",
"name": "pmtInfId",
"required": true,
"schema": {
"maxLength": 35,
"minLength": 1,
"pattern": "^[A-Za-z0-9_]+$",
"type": "string"
}
},
{
"$ref": "#/components/parameters/CnumQuery"
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader_1"
}
],
"responses": {
"200": {
"content": {
"application/pdf": {
"schema": {
"format": "binary",
"type": "string"
}
}
},
"description": "Payment print form has been successfully received",
"headers": {
"Cache-Control": {
"description": "Disables client-side response caching",
"schema": {
"enum": [
"no-store"
],
"type": "string"
}
},
"Content-Disposition": {
"description": "PDF filename containing the payment number, recipient tax ID, payment date, and amount",
"example": "attachment; filename=\"payment_order_123_7700000000_22.10.2026_100-00_1.pdf\"",
"schema": {
"type": "string"
}
}
}
},
"400": {
"description": "Invalid or missing request parameters"
},
"401": {
"$ref": "#/components/responses/Unauthorized_1"
},
"403": {
"$ref": "#/components/responses/Forbidden"
},
"404": {
"$ref": "#/components/responses/DocumentNotFound"
},
"409": {
"description": "The identifiers match multiple payments or payment import has not completed yet"
},
"429": {
"description": "Request rate limit exceeded",
"headers": {
"Retry-After": {
"$ref": "#/components/headers/RetryAfter"
}
}
},
"500": {
"$ref": "#/components/responses/InternalError_1"
}
},
"security": [
{
"bearerAuth": []
},
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/domestic-payments"
}
],
"summary": "Download the print form of a domestic payment imported in ISO20022 format",
"tags": [
"domestic-payments"
]
}POST /v2/transfers/iso20022/signed — Send signed domestic payment
ВАЖНО: Данный функционал недоступен для клиентов сегмента Финансовые институты! Отправка XML-файла, подписанного с использованием **XmlDSig**. [API Документация на английском](https://cdn.rbo.raiffeisen.ru/fs/cashmanagement/api-eng.pdf), [API Документация на русском](https://cdn.rbo.raiffeisen.ru/fs/cashmanagement/api-rus.pdf), [XSD-схема для валидации](https://cdn.rbo.raiffeisen.ru/fs/cashmanagement/pain.001.001.raifsig.xsd), [Документация API по подписанным ISO XML](https://cdn.rbo.raiffeisen.ru/fs/cashmanagement/Raiffeisen_API_isoxml_signed_V2.xlsx), [Инструкция по подписи (Примеры на Java)](https://cdn.rbo.raiffeisen.ru/fs/cashmanagement/xmldsig_sign_instruction.md), [Инструкция по подписи (Примеры на Java) на английском](https://cdn.rbo.raiffeisen.ru/fs/cashmanagement/xmldsig_sign_instruction.en.md).
{
"description": "ВАЖНО: Данный функционал недоступен для клиентов сегмента Финансовые институты! \nОтправка XML-файла, подписанного с использованием **XmlDSig**. \n[API Документация на английском](https://cdn.rbo.raiffeisen.ru/fs/cashmanagement/api-eng.pdf), \n[API Документация на русском](https://cdn.rbo.raiffeisen.ru/fs/cashmanagement/api-rus.pdf), \n[XSD-схема для валидации](https://cdn.rbo.raiffeisen.ru/fs/cashmanagement/pain.001.001.raifsig.xsd), \n[Документация API по подписанным ISO XML](https://cdn.rbo.raiffeisen.ru/fs/cashmanagement/Raiffeisen_API_isoxml_signed_V2.xlsx), \n[Инструкция по подписи (Примеры на Java)](https://cdn.rbo.raiffeisen.ru/fs/cashmanagement/xmldsig_sign_instruction.md), \n[Инструкция по подписи (Примеры на Java) на английском](https://cdn.rbo.raiffeisen.ru/fs/cashmanagement/xmldsig_sign_instruction.en.md).\n",
"operationId": "signedDomesticPayment",
"parameters": [
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader_1"
}
],
"requestBody": {
"content": {
"application/xml": {
"schema": {
"type": "string"
}
}
},
"description": "Domestic payment information in xml representation",
"required": true
},
"responses": {
"202": {
"description": "Domestic payment task has been successfully created"
},
"400": {
"$ref": "#/components/responses/ValidationError"
},
"401": {
"$ref": "#/components/responses/Unauthorized_1"
},
"403": {
"$ref": "#/components/responses/Forbidden"
},
"413": {
"$ref": "#/components/responses/FileIsTooLarge"
},
"500": {
"$ref": "#/components/responses/InternalError_1"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/domestic-payments"
}
],
"summary": "Send signed domestic payment",
"tags": [
"domestic-payments"
]
}POST /v2/transfers/iso20022/signed/pre-validation — Validate XmlDSig-signed domestic payment without import
ВАЖНО: Данный функционал недоступен для клиентов сегмента Финансовые институты! Проверка XML-файла, подписанного с использованием **XmlDSig**, без создания задачи импорта. Ответ содержит ошибки уровня сообщения отдельно от ошибок, привязанных к конкретным платежам.
{
"description": "ВАЖНО: Данный функционал недоступен для клиентов сегмента Финансовые институты! \nПроверка XML-файла, подписанного с использованием **XmlDSig**, без создания задачи импорта. \nОтвет содержит ошибки уровня сообщения отдельно от ошибок, привязанных к конкретным платежам.\n",
"operationId": "validateSignedDomesticPayment",
"parameters": [
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader_1"
}
],
"requestBody": {
"content": {
"application/xml": {
"schema": {
"type": "string"
}
}
},
"description": "Domestic payment information in xml representation",
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Iso20022ValidationResult"
}
},
"application/xml": {
"schema": {
"type": "string"
}
}
},
"description": "Validation completed"
},
"400": {
"$ref": "#/components/responses/ValidationError"
},
"401": {
"$ref": "#/components/responses/Unauthorized_1"
},
"403": {
"$ref": "#/components/responses/Forbidden"
},
"406": {
"$ref": "#/components/responses/NotAcceptable"
},
"500": {
"$ref": "#/components/responses/InternalError_1"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/domestic-payments"
}
],
"summary": "Validate XmlDSig-signed domestic payment without import",
"tags": [
"domestic-payments"
]
}POST /v2/transfers/iso20022/unsigned — Send unsigned domestic payment
ВАЖНО: Данный функционал недоступен для клиентов сегмента Финансовые институты! Отправка XML-файла с неподписанными платежами. [Документация по неподписанным платежам на английском](https://cdn.rbo.raiffeisen.ru/fs/cashmanagement/unsigned-payments-en.pdf), [Документация по неподписанным платежам на русском](https://cdn.rbo.raiffeisen.ru/fs/cashmanagement/unsigned-payments-ru.pdf), [XSD-схема для валидации](https://cdn.rbo.raiffeisen.ru/fs/cashmanagement/pain.001.001.raif.xsd), [Документация API по ISO XML](https://cdn.rbo.raiffeisen.ru/fs/cashmanagement/Raiffeisen_API_isoxml_signed_V2.xlsx).
{
"description": "ВАЖНО: Данный функционал недоступен для клиентов сегмента Финансовые институты! \nОтправка XML-файла с неподписанными платежами. \n[Документация по неподписанным платежам на английском](https://cdn.rbo.raiffeisen.ru/fs/cashmanagement/unsigned-payments-en.pdf), \n[Документация по неподписанным платежам на русском](https://cdn.rbo.raiffeisen.ru/fs/cashmanagement/unsigned-payments-ru.pdf), \n[XSD-схема для валидации](https://cdn.rbo.raiffeisen.ru/fs/cashmanagement/pain.001.001.raif.xsd), \n[Документация API по ISO XML](https://cdn.rbo.raiffeisen.ru/fs/cashmanagement/Raiffeisen_API_isoxml_signed_V2.xlsx).\n",
"operationId": "unsignedDomesticPayment",
"parameters": [
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader_1"
}
],
"requestBody": {
"content": {
"application/xml": {
"schema": {
"type": "string"
}
}
},
"description": "Domestic payment information in xml representation",
"required": true
},
"responses": {
"202": {
"description": "Domestic payment task has been successfully created"
},
"400": {
"$ref": "#/components/responses/ValidationError"
},
"401": {
"$ref": "#/components/responses/Unauthorized_1"
},
"403": {
"$ref": "#/components/responses/Forbidden"
},
"413": {
"$ref": "#/components/responses/FileIsTooLarge"
},
"500": {
"$ref": "#/components/responses/InternalError_1"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/domestic-payments"
}
],
"summary": "Send unsigned domestic payment",
"tags": [
"domestic-payments"
]
}POST /v2/transfers/iso20022/unsigned/pre-validation — Validate unsigned domestic payment without import
ВАЖНО: Данный функционал недоступен для клиентов сегмента Финансовые институты! Проверка XML-файла с неподписанными платежами без создания задачи импорта. Ответ содержит ошибки уровня сообщения отдельно от ошибок, привязанных к конкретным платежам.
{
"description": "ВАЖНО: Данный функционал недоступен для клиентов сегмента Финансовые институты! \nПроверка XML-файла с неподписанными платежами без создания задачи импорта. \nОтвет содержит ошибки уровня сообщения отдельно от ошибок, привязанных к конкретным платежам.\n",
"operationId": "validateUnsignedDomesticPayment",
"parameters": [
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader_1"
}
],
"requestBody": {
"content": {
"application/xml": {
"schema": {
"type": "string"
}
}
},
"description": "Domestic payment information in xml representation",
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Iso20022ValidationResult"
}
},
"application/xml": {
"schema": {
"type": "string"
}
}
},
"description": "Validation completed"
},
"400": {
"$ref": "#/components/responses/ValidationError"
},
"401": {
"$ref": "#/components/responses/Unauthorized_1"
},
"403": {
"$ref": "#/components/responses/Forbidden"
},
"406": {
"$ref": "#/components/responses/NotAcceptable"
},
"500": {
"$ref": "#/components/responses/InternalError_1"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/domestic-payments"
}
],
"summary": "Validate unsigned domestic payment without import",
"tags": [
"domestic-payments"
]
}GET /v2/transfers/iso20022/{msgId}/payments/{pmtInfId}/status — Status receipt in ISO20022 format for the payment within the payment message
ВАЖНО: Данный функционал недоступен для клиентов сегмента Финансовые институты! Получение статуса конкретного платежа по его идентификатору в рамках ранее загруженного пакета. [API Документация на английском](https://cdn.rbo.raiffeisen.ru/fs/cashmanagement/api-eng.pdf), [API Документация на русском](https://cdn.rbo.raiffeisen.ru/fs/cashmanagement/api-rus.pdf), Примеры ответов: [pain002_001_payments_status](https://cdn.rbo.raiffeisen.ru/fs/cashmanagement/Raiffeisen_pain002_001_payments_status.xlsx).
{
"description": "ВАЖНО: Данный функционал недоступен для клиентов сегмента Финансовые институты! \nПолучение статуса конкретного платежа по его идентификатору в рамках ранее загруженного пакета. \n[API Документация на английском](https://cdn.rbo.raiffeisen.ru/fs/cashmanagement/api-eng.pdf), \n[API Документация на русском](https://cdn.rbo.raiffeisen.ru/fs/cashmanagement/api-rus.pdf), \nПримеры ответов: [pain002_001_payments_status](https://cdn.rbo.raiffeisen.ru/fs/cashmanagement/Raiffeisen_pain002_001_payments_status.xlsx).\n",
"operationId": "domesticPaymentStatus",
"parameters": [
{
"example": "ORCRUWIRE0170202229000030",
"in": "path",
"name": "msgId",
"required": true,
"schema": {
"type": "string"
}
},
{
"example": "ORCRUWIRE0040203219700010",
"in": "path",
"name": "pmtInfId",
"required": true,
"schema": {
"type": "string"
}
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader_1"
}
],
"responses": {
"200": {
"content": {
"application/xml": {
"examples": {
"ACSC": {
"summary": "ACSC - Document has been executed",
"value": "<Document> ... <DtldSts>ACSC</DtldSts> ... </Document>\n"
},
"ACSP": {
"summary": "ACSP - Document is being processed by the bank",
"value": "<Document> ... <DtldSts>ACSP</DtldSts> ... </Document>\n"
},
"ATTN": {
"summary": "ATTN - Need attention",
"value": "<Document> ... <DtldSts>ATTN</DtldSts> ... </Document>\n"
},
"CANC": {
"summary": "CANC - Document has been canceled",
"value": "<Document> ... <DtldSts>CANC</DtldSts> ... </Document>\n"
},
"DBLC": {
"summary": "DBLC - Document has been duplicate",
"value": "<Document> ... <DtldSts>DBLC</DtldSts> ... </Document>\n"
},
"FSGN": {
"summary": "FSGN - Document is waiting for sending",
"value": "<Document> ... <DtldSts>FSGN</DtldSts> ... </Document>\n"
},
"PDNG": {
"summary": "PDNG - Document is in the queue for processing",
"value": "<Document>...<DtldSts>PDNG</DtldSts>...</Document>\n"
},
"RJCT": {
"summary": "RJCT - Document rejected",
"value": "<Document> ... <DtldSts>RJCT</DtldSts> ... </Document>\n"
}
},
"schema": {
"type": "string"
}
}
},
"description": "Status has been successfully received"
},
"400": {
"$ref": "#/components/responses/ValidationError"
},
"401": {
"$ref": "#/components/responses/Unauthorized_1"
},
"403": {
"$ref": "#/components/responses/Forbidden"
},
"404": {
"$ref": "#/components/responses/DocumentNotFound"
},
"500": {
"$ref": "#/components/responses/InternalError_1"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/domestic-payments"
}
],
"summary": "Status receipt in ISO20022 format for the payment within the payment message",
"tags": [
"domestic-payments"
]
}GET /v2/transfers/iso20022/{msgId}/status — Detailed group payment status receipt in ISO20022 format
ВАЖНО: Данный функционал недоступен для клиентов сегмента Финансовые институты! Получение краткой квитанции по пакету платежей в формате ISO20022. [API Документация на английском](https://cdn.rbo.raiffeisen.ru/fs/cashmanagement/api-eng.pdf), [API Документация на русском](https://cdn.rbo.raiffeisen.ru/fs/cashmanagement/api-rus.pdf).
{
"description": "ВАЖНО: Данный функционал недоступен для клиентов сегмента Финансовые институты! \nПолучение краткой квитанции по пакету платежей в формате ISO20022. \n[API Документация на английском](https://cdn.rbo.raiffeisen.ru/fs/cashmanagement/api-eng.pdf), \n[API Документация на русском](https://cdn.rbo.raiffeisen.ru/fs/cashmanagement/api-rus.pdf).\n",
"operationId": "domesticPackageStatus",
"parameters": [
{
"description": "Уникальный идентификатор пакета",
"example": "ORCRUWIRE0170202229000030",
"in": "path",
"name": "msgId",
"required": true,
"schema": {
"type": "string"
}
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader_1"
}
],
"responses": {
"200": {
"content": {
"application/xml": {
"examples": {
"ACSC": {
"summary": "ACSC - Document has been executed",
"value": "<Document> ... <DtldSts>ACSC</DtldSts> ... </Document>\n"
},
"ACSP": {
"summary": "ACSP - Document is being processed by the bank",
"value": "<Document> ... <DtldSts>ACSP</DtldSts> ... </Document>\n"
},
"ATTN": {
"summary": "ATTN - Need attention",
"value": "<Document> ... <DtldSts>ATTN</DtldSts> ... </Document>\n"
},
"CANC": {
"summary": "CANC - Document has been canceled",
"value": "<Document> ... <DtldSts>CANC</DtldSts> ... </Document>\n"
},
"DBLC": {
"summary": "DBLC - Document has been duplicate",
"value": "<Document> ... <DtldSts>DBLC</DtldSts> ... </Document>\n"
},
"FSGN": {
"summary": "FSGN - Document is waiting for sending",
"value": "<Document> ... <DtldSts>FSGN</DtldSts> ... </Document>\n"
},
"PDNG": {
"summary": "PDNG - Document is in the queue for processing",
"value": "<Document>...<DtldSts>PDNG</DtldSts>...</Document>\n"
},
"RJCT": {
"summary": "RJCT - Document rejected",
"value": "<Document> ... <DtldSts>RJCT</DtldSts> ... </Document>\n"
}
},
"schema": {
"type": "string"
}
}
},
"description": "Status has been successfully received"
},
"400": {
"$ref": "#/components/responses/ValidationError"
},
"401": {
"$ref": "#/components/responses/Unauthorized_1"
},
"403": {
"$ref": "#/components/responses/Forbidden"
},
"404": {
"$ref": "#/components/responses/DocumentNotFound"
},
"500": {
"$ref": "#/components/responses/InternalError_1"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/domestic-payments"
}
],
"summary": "Detailed group payment status receipt in ISO20022 format",
"tags": [
"domestic-payments"
]
}GET /v2/transfers/iso20022/{msgId}/status/full — Detailed group payment status and all payments receipt in ISO20022 format
ВАЖНО: Данный функционал недоступен для клиентов сегмента Финансовые институты! Получение полной квитанции по пакету и платежам внутри пакета в формате ISO20022, подробная информация по каждому платежу в пакете. [API Документация на английском](https://cdn.rbo.raiffeisen.ru/fs/cashmanagement/api-eng.pdf), [API Документация на русском](https://cdn.rbo.raiffeisen.ru/fs/cashmanagement/api-rus.pdf).
{
"description": "ВАЖНО: Данный функционал недоступен для клиентов сегмента Финансовые институты! \nПолучение полной квитанции по пакету и платежам внутри пакета в формате ISO20022, подробная информация по каждому платежу в пакете. \n[API Документация на английском](https://cdn.rbo.raiffeisen.ru/fs/cashmanagement/api-eng.pdf), \n[API Документация на русском](https://cdn.rbo.raiffeisen.ru/fs/cashmanagement/api-rus.pdf).\n",
"operationId": "domesticPackageStatusFull",
"parameters": [
{
"description": "Уникальный идентификатор пакета",
"example": "ORCRUWIRE0170202229000030",
"in": "path",
"name": "msgId",
"required": true,
"schema": {
"type": "string"
}
},
{
"$ref": "#/components/parameters/AuthorizationHeader"
},
{
"$ref": "#/components/parameters/IdTokenHeader_1"
}
],
"responses": {
"200": {
"content": {
"application/xml": {
"examples": {
"ACSC": {
"summary": "ACSC - Document has been executed",
"value": "<Document> ... <DtldSts>ACSC</DtldSts> ... </Document>\n"
},
"ACSP": {
"summary": "ACSP - Document is being processed by the bank",
"value": "<Document> ... <DtldSts>ACSP</DtldSts> ... </Document>\n"
},
"ATTN": {
"summary": "ATTN - Need attention",
"value": "<Document> ... <DtldSts>ATTN</DtldSts> ... </Document>\n"
},
"CANC": {
"summary": "CANC - Document has been canceled",
"value": "<Document> ... <DtldSts>CANC</DtldSts> ... </Document>\n"
},
"DBLC": {
"summary": "DBLC - Document has been duplicate",
"value": "<Document> ... <DtldSts>DBLC</DtldSts> ... </Document>\n"
},
"FSGN": {
"summary": "FSGN - Document is waiting for sending",
"value": "<Document> ... <DtldSts>FSGN</DtldSts> ... </Document>\n"
},
"PDNG": {
"summary": "PDNG - Document is in the queue for processing",
"value": "<Document>...<DtldSts>PDNG</DtldSts>...</Document>\n"
},
"RJCT": {
"summary": "RJCT - Document rejected",
"value": "<Document> ... <DtldSts>RJCT</DtldSts> ... </Document>\n"
}
},
"schema": {
"type": "string"
}
}
},
"description": "Status has been successfully received"
},
"400": {
"$ref": "#/components/responses/ValidationError"
},
"401": {
"$ref": "#/components/responses/Unauthorized_1"
},
"403": {
"$ref": "#/components/responses/Forbidden"
},
"404": {
"$ref": "#/components/responses/DocumentNotFound"
},
"500": {
"$ref": "#/components/responses/InternalError_1"
}
},
"security": [
{
"RaifApiAuthorization": [],
"RaifApiIdToken": []
}
],
"servers": [
{
"url": "https://api.raiffeisen.ru/domestic-payments"
}
],
"summary": "Detailed group payment status and all payments receipt in ISO20022 format",
"tags": [
"domestic-payments"
]
}Схемы и примеры
{
"headers": {
"RetryAfter": {
"description": "Number of seconds to wait before retrying the request",
"example": 1,
"schema": {
"format": "int64",
"minimum": 1,
"type": "integer"
}
}
},
"parameters": {
"AuthorizationHeader": {
"description": "Токен доступа",
"in": "header",
"name": "Authorization",
"required": true,
"schema": {
"example": "Bearer QXV0aG9yaXphdGlvbiBIZWFkZXIgRm9yIFRlc3Rpbmc=",
"format": "byte",
"type": "string"
}
},
"CnumQuery": {
"description": "Customer CNUM used as the operation context",
"example": "0001",
"in": "query",
"name": "cnum",
"required": true,
"schema": {
"type": "string"
}
},
"IdTokenHeader_1": {
"description": "Идентификационный токен пользователя",
"in": "header",
"name": "Id-Token",
"required": true,
"schema": {
"example": "SUQgVE9LRU4gRk9SIFRFU1RJTkc=",
"format": "byte",
"type": "string"
}
}
},
"responses": {
"DocumentNotFound": {
"description": "Document not found"
},
"FileIsTooLarge": {
"description": "File is too large"
},
"Forbidden": {
"description": "An access is denied"
},
"InternalError_1": {
"description": "Внутренняя ошибка"
},
"NotAcceptable": {
"description": "The requested response media type is not supported"
},
"Unauthorized_1": {
"description": "Аутентификация не пройдена"
},
"ValidationError": {
"content": {
"application/xml": {
"schema": {
"type": "string"
}
}
},
"description": "Validation errors"
}
},
"schemas": {
"Iso20022PaymentValidationErrors": {
"description": "Validation errors for a concrete payment instruction in an ISO20022 message",
"properties": {
"errors": {
"description": "Payment validation errors",
"items": {
"$ref": "#/components/schemas/Iso20022ValidationError"
},
"type": "array"
},
"paymentId": {
"description": "PmtInfId value when it can be read",
"example": "0031150319637",
"nullable": true,
"type": "string"
},
"paymentIndex": {
"description": "Zero-based PmtInf block index in the source XML",
"example": 0,
"format": "int32",
"type": "integer"
}
},
"required": [
"paymentIndex",
"errors"
],
"type": "object"
},
"Iso20022ValidationError": {
"description": "ISO20022 message field validation error",
"properties": {
"field": {
"description": "XML field path",
"example": "PmtInf.DbtrAcct.Id.Othr.Id",
"type": "string"
},
"message": {
"description": "Validation error description",
"example": "Debtor account number 12817810299910234324 is not found",
"type": "string"
},
"rejectedValue": {
"description": "Rejected value",
"example": "12817810299910234324",
"nullable": true,
"type": "string"
}
},
"required": [
"field",
"message"
],
"type": "object"
},
"Iso20022ValidationResult": {
"description": "ISO20022 message validation result",
"example": {
"messageErrors": [
{
"field": "GrpHdr.MsgId",
"message": "Message identification MsgId invalid-msg-id doesn't match",
"rejectedValue": "invalid-msg-id"
},
{
"field": "GrpHdr.NbOfTxs",
"message": "Number of transactions NbOfTxs doesn't match",
"rejectedValue": "300"
}
],
"paymentErrors": [
{
"errors": [
{
"field": "PmtInf.CdtTrfTxInf.Amt.InstdAmt.Ccy",
"message": "Instructed amount currency Ccy USD doesn't match",
"rejectedValue": "USD"
}
],
"paymentId": "0031150319637",
"paymentIndex": 0
},
{
"errors": [
{
"field": "PmtInf.PmtInfId",
"message": "PmtInfId 0031150319637 is duplicated",
"rejectedValue": "0031150319637"
}
],
"paymentId": "0031150319637",
"paymentIndex": 1
}
]
},
"properties": {
"messageErrors": {
"description": "Message, header, signature, or cross-payment validation errors",
"items": {
"$ref": "#/components/schemas/Iso20022ValidationError"
},
"type": "array"
},
"paymentErrors": {
"description": "Validation errors grouped by payment instruction",
"items": {
"$ref": "#/components/schemas/Iso20022PaymentValidationErrors"
},
"type": "array"
}
},
"required": [
"messageErrors",
"paymentErrors"
],
"type": "object"
}
},
"securitySchemes": {
"RaifApiAuthorization": {
"scheme": "bearer",
"type": "http"
},
"RaifApiIdToken": {
"in": "header",
"name": "Id-Token",
"type": "apiKey"
},
"bearerAuth": {
"bearerFormat": "JWT",
"scheme": "bearer",
"type": "http"
}
}
}